Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 388655 (CVE-2011-2722) - <net-print/hplip-3.11.10 insecure tmp file handling in hpcupsfax.cpp (CVE-2011-2722)
Summary: <net-print/hplip-3.11.10 insecure tmp file handling in hpcupsfax.cpp (CVE-201...
Status: RESOLVED FIXED
Alias: CVE-2011-2722
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal minor (vote)
Assignee: Gentoo Security
URL: https://bugs.launchpad.net/hplip/+bug...
Whiteboard: B3 [glsa]
Keywords:
Depends on: 388989
Blocks:
  Show dependency tree
 
Reported: 2011-10-27 11:14 UTC by Sean Amoss (RETIRED)
Modified: 2012-03-16 12:37 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sean Amoss (RETIRED) gentoo-dev Security 2011-10-27 11:14:07 UTC
hpcupsfax.cpp creates an insecure tmp file which could be exploited by symlink attacks to read/write arbitrary files. 

The vulnerability was corrected in 3.11.10:
http://hplipopensource.com/hplip-web/release_notes.html
Comment 1 Sean Amoss (RETIRED) gentoo-dev Security 2011-10-27 11:16:29 UTC
@maintainers: We do have =net-print/hplip-3.11.10 in tree. Is this ready for stabilization?
Comment 2 Daniel Pielmeier gentoo-dev 2011-10-30 16:30:45 UTC
(In reply to comment #1)
> @maintainers: We do have =net-print/hplip-3.11.10 in tree. Is this ready for
> stabilization?

It is never ready given the fact it supports about 2000 printers so there are always problems with some models and other things. I will open a stabilization request now.
Comment 3 Andreas K. Hüttel gentoo-dev 2012-01-28 19:49:03 UTC
(In reply to comment #1)
> @maintainers: We do have =net-print/hplip-3.11.10 in tree. Is this ready for
> stabilization?

It is stabilized now on all required arches >>except ppc64<<.

It would be awesome if ppc64 could follow now and stabilize =net-print/hplip-3.11.10, because then this security bug could finally proceed too.
Comment 4 Brent Baude (RETIRED) gentoo-dev 2012-03-11 13:52:21 UTC
ppc64 done
Comment 5 Tim Sammut (RETIRED) gentoo-dev 2012-03-11 16:22:27 UTC
Thanks, everyone. GLSA Vote: yes.
Comment 6 Sean Amoss (RETIRED) gentoo-dev Security 2012-03-11 22:45:29 UTC
GLSA vote: yes. Added to existing GLSA request.
Comment 7 GLSAMaker/CVETool Bot gentoo-dev 2012-03-16 12:37:57 UTC
This issue was resolved and addressed in
 GLSA 201203-17 at http://security.gentoo.org/glsa/glsa-201203-17.xml
by GLSA coordinator Sean Amoss (ackle).